• Welcome to Simple Machines Community Forum. Please login or sign up.

PHP 4.4.0 Compatibility

Started by Ben_S, July 13, 2005, 07:50:22 AM

Previous topic - Next topic

ufuk.exe

Just edited the file manually after being SHOCKED that it was down, thinking I was hacked (since it said _admin, etc..) came here, saw the topic, and edited the file and removed the "&" and all is good now.

Thanks SMF for fast and great support, and figuring out what was the cause!!!!

www.34tr.com - Nostalgia Istanbul
www.jeepprojects.com - Jeep Projects

That's It Simple Machines Forum,
It just couldn't be simpler.

huijaa

I had it too.... well very shocked....thought it was hacked...
It's damn good solution with an easy & removing... ;)
Dovenforum Nederland -- a forum for deaf people in the Netherlands --

Aeolis

lemme guess, you two use 1&1 as well :P

ufuk.exe

Yes,
well Ignorant 1&1 !!! Nothing else that I could say, an easy "We will upgrade, please check compatibility of your php scripts" e-mail would have been nice, but NO, they couldn't do it!

Anyway, I guess it is the space/feature that counts rather than customer service, thank god the uptime is not bad on 1&1.
www.34tr.com - Nostalgia Istanbul
www.jeepprojects.com - Jeep Projects

That's It Simple Machines Forum,
It just couldn't be simpler.

forsakenlad

I don't work at 1&1, but hosts don't have to inform their customers about every upgrade they make. Also they can't know about all the spesific software and also if they will crash or not when an upgrade is made :)
Eren "forsakenlad" Yaşarkurt
SMF Friend & Former Team Member

BySilent

After following all the great advice in this thread and the links to other topics I am still getting the following error message and yes my ISP did upgrade to 4.4 today.....

Notice: Undefined index: fuseBox_autoOptDatabase in /home/interne7/public_html/msgboard/Sources/Subs.php on line 232

Notice: Undefined index: is_admin in /home/interne7/public_html/msgboard/Sources/Security.php on line 612

Notice: Undefined index: permissions in /home/interne7/public_html/msgboard/Sources/Security.php on line 619

Warning: in_array(): Wrong datatype for second argument in /home/interne7/public_html/msgboard/Sources/Security.php on line 619
session_start(): Cannot send session cache limiter - headers already sent (output started at /home/interne7/public_html/msgboard/Settings.php:63)


I first took out the & didn't work... downloaded 1.0.5 pulled out subs.php loaded it to the server still no change... I can not get into the control panel to use package manager and I pulled down the php package and manually loaded it into the package directory as the tar file (wondering if I have to do anything to activate it once loaded)

Just stumped at this time why I still getting the same error message I started with prior to making the changes.

Owain

November 06, 2005, 05:20:15 AM #106 Last Edit: November 06, 2005, 05:25:09 AM by Owain
I have a problem, when I click on the link in the admin section to upgrade my forum, it logs me out and says I do not have admin rights, so I log back in and it does it again!

Any ideas?

The actual error is :

Warning!
You are not allowed to administrate this forum.
Please login below or register an account with TractionKiting.co.uk


Owain.
www.tractionkiting.co.uk
Dedicated to promoting Kiting in Scotland

LaurieC

Our host is upgrading to 4.4.1 and I was wondering if this is going to have an effect on our SMF installation? We are running SMF 1.1 RC1. Sorry if this is in the wrong place I have been unalble to find anything about 4.4.1  :(
Make someone smile today...

JayBachatero

Quote from: lace1215 on November 08, 2005, 01:11:33 PM
Our host is upgrading to 4.4.1 and I was wondering if this is going to have an effect on our SMF installation? We are running SMF 1.1 RC1. Sorry if this is in the wrong place I have been unalble to find anything about 4.4.1  :(

This doesnt affect the 1.1 line. ;)
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

LaurieC

That was a huge sigh of relief for me  :P

Thank you
Make someone smile today...

JayBachatero

Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

JayBachatero

Quote from: NukeWorker.com on November 08, 2005, 03:05:17 PM
Quote from: JayBachatero on November 08, 2005, 01:12:45 PM
Quote from: lace1215 on November 08, 2005, 01:11:33 PM
Our host is upgrading to 4.4.1 and I was wondering if this is going to have an effect on our SMF installation? We are running SMF 1.1 RC1. Sorry if this is in the wrong place I have been unalble to find anything about 4.4.1  :(

This doesnt affect the 1.1 line. ;)

It affected my SMF 1.1 Beta 1

So its after 1.1 Beta 3
Follow me on Twitter

"HELP!!! I've fallen and I can't get up"
This moment has been brought to you by LifeAlert

David Gonzalez

Do anyone know how to update this in Fantastico via ssh?
hxxp:customers.xaos-media.com/signup.php [nonactive] - WebHosting for plublishing platforms

thinkbig

I just came to learn about this thread.

My host upgraded the PHP to 4.4.. and now I cant get into my admin area at all!

Please advice :(

Killer Possum

I replied to your other post thinkbig. Just go to the first post in this thread, there is a fixed Subs.php file attached to it. Just download it and upload the file to your server.

thinkbig

Problem is solved! Thank you Killer Possum!

Much appreciated!

At last! I can smile ! :))

amysti2

Our ISP struck this morning. So glad you were a step ahead. Can you believe it took me an hour to realize I couldn't see/download the php file from here without logging in?! How's that for swift.  ::) Now that I found/installed it, it worked without a hitch. Thanks so much.

worm5252

Well my issue is I have not reacted in time. Our Host has upgraded and we did not install this patch. Hence I can not access any part of my forum including the admin panel. Any hard code fixes to get me in to fix this?

worm5252

Here is the version output from the server:
PHP 4.3.11 (cli) (built: Jun 25 2005 12:25:11)
Copyright (c) 1997-2004 The PHP Group
Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
with Zend Extension Manager v1.0.7, Copyright (c) 2003-2005, by Zend Technologies
with Zend Optimizer v2.5.10, Copyright (c) 1998-2005, by Zend Technologies

morph

Find the following in Sources/Subs.php:

= &mysql_query

And remove the & (ampersand.)  How do I modify files?

Coming soon!

Advertisement: